Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_UDP_Receiver_Disconnect_Command Class Reference

Disconnects supplier represented by proxy from the Event Channel. More...

`#include <ECG_UDP_Receiver.h>`

List of all members.

## Public Methods
| TAO_ECG_UDP_Receiver_Disconnect_Command (void)
| TAO_ECG_UDP_Receiver_Disconnect_Command (RtecEventChannelAdmin::ProxyPushConsumer_ptr proxy)
| TAO_ECG_UDP_Receiver_Disconnect_Command (const TAO_ECG_UDP_Receiver_Disconnect_Command &rhs)
TAO_ECG_UDP_Receiver_Disconnect_Command & | operator= (const TAO_ECG_UDP_Receiver_Disconnect_Command &rhs)
void | execute (ACE_ENV_SINGLE_ARG_DECL)
## Private Attributes
RtecEventChannelAdmin::ProxyPushConsumer_var | proxy_

## Detailed Description

Disconnects supplier represented by proxy from the Event Channel.

Utility class for use as a template argument to TAO_EC_Auto_Command. TAO_EC_Auto_Command<TAO_ECG_UDP_Receiver_Disconnect_Command> manages supplier connection to the Event Channel, automatically disconnecting from proxy in its destructor, if necessary.

## Constructor & Destructor Documentation

ACE_INLINE TAO_ECG_UDP_Receiver_Disconnect_Command::TAO_ECG_UDP_Receiver_Disconnect_Command | ( | void |  | ) |

ACE_INLINE TAO_ECG_UDP_Receiver_Disconnect_Command::TAO_ECG_UDP_Receiver_Disconnect_Command | ( | RtecEventChannelAdmin::ProxyPushConsumer_ptr | proxy | ) |

ACE_INLINE TAO_ECG_UDP_Receiver_Disconnect_Command::TAO_ECG_UDP_Receiver_Disconnect_Command | ( | const TAO_ECG_UDP_Receiver_Disconnect_Command & | rhs | ) |

## Member Function Documentation

ACE_INLINE void TAO_ECG_UDP_Receiver_Disconnect_Command::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

ACE_INLINE TAO_ECG_UDP_Receiver_Disconnect_Command & TAO_ECG_UDP_Receiver_Disconnect_Command::operator= | ( | const TAO_ECG_UDP_Receiver_Disconnect_Command & | rhs | ) |

## Member Data Documentation

RtecEventChannelAdmin::ProxyPushConsumer_var TAO_ECG_UDP_Receiver_Disconnect_Command::proxy_`[private]`

The documentation for this class was generated from the following files:

- ECG_UDP_Receiver.h
- ECG_UDP_Receiver.i